Bug 851669

Summary: Migrating streaming video results in remote-vewier crash
Product: [Fedora] Fedora Reporter: Bill Sanford <bsanford>
Component: spice-gtkAssignee: Marc-Andre Lureau <marcandre.lureau>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 17CC: acathrow, berrange, cfergeau, crobinso, dblechte, hdegoede, iheim, jkt, marcandre.lureau, mkrcmari, pvine, Rhev-m-bugs, virt-maint
Target Milestone: ---Keywords: Regression, TestBlocker
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-07-11 15:55:33 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
Bt remote-viewer with video none

Description Bill Sanford 2012-08-24 12:20:07 EDT
Description of problem:
Migrating streaming video (Youtube, Fox News) results in virt-vewier crash "Process /usr/bin/remote-viewer was killed by signal 11 (SIGSEGV)"

With streaming audio (Amazon Cloud Player) this does not happen.

pastebin of the backtrace - http://pastebin.test.redhat.com/103592

Version-Release number of selected component (if applicable):
RHEV-M 3.1 si14

How reproducible:
100%

Steps to Reproduce:
1. Migrate VM that is streaming video
2.
3.
  
Actual results:
Remote-viewer crashes

Expected results:
Remote-viewer plays video while VM migrates from RHEV-M.

Additional info:
Comment 1 Bill Sanford 2012-08-24 12:23:29 EDT
This was a Win7x64 VM.
Comment 3 Juan Hernández 2012-08-24 12:36:47 EDT
Bill, the rhevm-migration component is for the 2.2 to 3.0 migration tool. Can you move this bug to a more appropriate component?
Comment 5 Bill Sanford 2012-08-24 12:48:34 EDT
Juan, Marian just moved it.
Comment 6 Bill Sanford 2012-08-24 13:01:41 EDT
Also:
virt-viewer-0.5.3-1.fc17.x86_64
spice-gtk3-0.12-4.fc17.x86_64
Comment 7 Marian Krcmarik 2012-08-24 13:36:02 EDT
Created attachment 606923 [details]
Bt remote-viewer with video
Comment 8 Fedora End Of Life 2013-07-03 20:08:19 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Cole Robinson 2013-07-11 15:55:33 EDT
Given the age of F17 and impending EOL, this is unlikely to be fixed there. Sorry this never received a response. Closing as WONTFIX for F17

If anyone can still reproduce this issue on F19, please reopen and we can take it from there.